# API Gateway Configuration

Configuration for API gateway, proxy, and WAF.

## Components

- **NGINX** - Reverse proxy and load balancer
- **API Gateway** - Cloud provider API gateway (AWS API Gateway, GCP API Gateway, etc.)
- **WAF** - Web Application Firewall rules

## Configuration Files

- `nginx.conf` - NGINX configuration
- `api-gateway.yaml` - API Gateway configuration (cloud-specific)
- `waf-rules.yaml` - WAF rules configuration

## Features

- Rate limiting
- Request routing
- SSL/TLS termination
- Authentication/Authorization
- Request/Response transformation
- Logging and monitoring

## Policies

- OPA (Open Policy Agent) policies in `policies/` directory
- Rate limiting policies
- Access control policies
- Data validation policies

## Usage

```bash
# Deploy NGINX configuration
kubectl apply -f nginx-configmap.yaml

# Update API Gateway
# (Cloud provider specific commands)

# Apply WAF rules
# (Cloud provider specific commands)
```

